| Home | Libraries | People | FAQ | More

##### resultset::meta

Returns metadata for this resultset.

###### Synopsis

    metadata_collection_view
    meta() const;

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference and any other references obtained from it are valid as long as `*this` or an object move-constructed from `*this` are alive.

###### Complexity

Constant.